@echo off
cls
echo  System Shock 1. Gravis UltraSound Setup
echo      Setup by Corak
echo ===================================== 
echo Select your setting:
echo 1 - ULTRASND.INI Original 
echo 2 - ULTRASND.INI System Shock Drum Fix
echo 3 - ULTRAMID.INI Original
echo 4 - ULTRAMID.INI Original (+ System Shock Fix)
echo 5 - ULTRAMID.INI System Shock only
echo 6 - .PAT files - Original GUS (v4.11)
echo 7 - .PAT files - Pro Patches Lite (v1.61)
echo 8 - English Language for System Shock
echo 9 - Russian Language for System Shock
echo 10 - Start MidiDemo
echo 0 - Exit
set /p GUS=Select Option (1-7): 
if %GUS%==1 goto ULTRASND_ORIG
if %GUS%==2 goto ULTRASND_SSfix
if %GUS%==3 goto ULTRAMID_ORIG
if %GUS%==4 goto ULTRAMID_SS
if %GUS%==5 goto ULTRAMID_SSorig
if %GUS%==6 goto PAT_ORIG
if %GUS%==7 goto PAT_PRO
if %GUS%==8 goto ENG
if %GUS%==9 goto RUS
if %GUS%==10 goto MIDIDEMO
if %GUS%==0 goto exit
goto exit

:ULTRASND_ORIG
copy /y 0VER\ULTRASND_orig.INI GUS\ULTRASND\ULTRASND.INI
goto exit

:ULTRASND_SSfix
copy /y 0VER\ULTRASND_SSfix.INI GUS\ULTRASND\ULTRASND.INI
goto exit

:ULTRAMID_ORIG
copy /y 0VER\ULTRAMID_orig.INI GUS\ULTRASND\MIDI\ULTRAMID.INI
goto exit

:ULTRAMID_SS
copy /y 0VER\ULTRAMID_SS.INI GUS\ULTRASND\MIDI\ULTRAMID.INI
goto exit

:ULTRAMID_SSorig
copy /y 0VER\ULTRAMID_SS_orig.INI GUS\ULTRASND\MIDI\ULTRAMID.INI
goto exit

:PAT_ORIG
copy /y 0VER\USND411\*.PAT GUS\ULTRASND\MIDI\
goto exit

:PAT_PRO
copy /y 0VER\PPL161\*.PAT GUS\ULTRASND\MIDI\
goto exit

:ENG
copy /y 0VER\0Lang\0Eng\DATA GUS\SYSSHOCK\DATA\
goto exit

:RUS
copy /y 0VER\0Lang\0Rus\DATA GUS\SYSSHOCK\DATA\
goto exit

:MIDIDEMO
@echo off
cd dosbox
start "" "dosbox.exe" "..\GUS\mididemo.bat"
goto exit

:exit
exit